<div id="main" role="main" class="page-content pt-6 row">
  <div class="col-12 col-sm-3">
    <div class="sidebar">
      <h1 class="h4 page-title mt-5 mb-2">{{ 'customer_accounts.account.page_title' | t }}</h1>
      <hr class="mb-5">
      <h4 class="h5 mb-3">{{ customer.name }}</h4>
      <dl class="dl-horizontal small lh-22">
        <dt class="mt-2">{{ 'customer_accounts.account.email' | t }}</dt>
        <dd>{{ customer.email }}</dd>
        <hr class="my-4">
        <dt class="mt-2">{{ 'customer_accounts.account.default_phone' | t }}</dt>
        <dd>{% if customer.default_address.phone %}{{ customer.default_address.phone }}{% else %}<span class="text-muted">{{ 'customer_accounts.account.default_phone_empty' | t }}</span>{% endif %}</dd>
        <hr class="my-4">
        <dt class="mt-2">{{ 'customer_accounts.account.default_address' | t }}</dt>
        <dd>
          {% if customer.default_address != nil %}
          <adddress>
            {{ customer.default_address.address1 }}<br>
            {% if customer.default_address.address2 != "" %}{{ customer.default_address.address2 }}<br>{% endif %}
            {{ customer.default_address.city}}, {% if address.province_code %}{{customer.default_address.province_code}}, {% endif %}{{customer.default_address.country}}<br>
            {{ customer.default_address.zip}}<br>
          </adddress>
          {% else %}
            <span class="text-muted">{{ 'customer_accounts.account.default_address_empty' | t }}</span><br>
          {% endif %}
          <a class="link d-block pt-3" href="/account/addresses">{{ 'customer_accounts.account.addresses_link' | t: addresses_count: customer.addresses_count }}</a>
        </dd>
      </dl>
      <h3 class="h4 page-title mt-6 mb-2">{{ 'customer_accounts.register.help_title' | t }}</h3>
      <hr class="mb-5">
      {% include 'contact_msg' %}
    </div>
  </div>
  <div class="col-12 col-sm-9">
    <section class="content">
      <header class="page-header">
        <h2 class="h2 page-title mt-3 mb-2">{{ 'customer_accounts.orders.page_title' | t: count: 2 }}</h2>
        <hr class="mb-5">
      </header>
      {% paginate customer.orders by 20 %}
        {% if customer.orders.size > 0 %}
          <table class="table table-striped d-table small">
            <thead>
              <tr>
                <th class="order-number text-left">{{ 'customer_accounts.orders.page_title' | t: count: 1 }}</th>
                <th class="date">{{ 'customer_accounts.orders.date_title' | t }}</th>
                <th class="payment-status">{{ 'customer_accounts.orders.payment_status_title' | t }}</th>
                <th class="fulfillment-status">{{ 'customer_accounts.orders.fulfillment_status_title' | t }}</th>
                <th class="total text-right">{{ 'customer_accounts.orders.total_title' | t }}</th>
              </tr>
            </thead>
            <tbody>
              {% for order in customer.orders %}
              <tr class="{% cycle 'odd', 'even' %} {% if order.cancelled %}cancelled-order text-danger{% endif %}">
                <td class="text-left"> <a href="{{ order.customer_url }}" class="link">{{ order.name }}</a> </td>
                <td><span class="note text-capitalize">{{ order.created_at | date: format: 'order_short' }}</span></td>
                <td><span class="status-{{ order.financial_status }}">{{ order.financial_status_label }}</span></td>
                <td><span class="status-{{ order.fulfillment_status }}">{{ order.fulfillment_status_label }}</span></td>
                <td class="text-right">
                  {{ order.total_price | money }}
                </td>
              </tr>
              {% endfor %}
            </tbody>
          </table>
        {% else %}
          <div class="alert alert-info">{{ 'customer_accounts.orders.empty_message_html' | t }}</div>
        {% endif %}
        {% if paginate.pages > 1 %}
          {% include 'pagination' %}
        {% endif %}
      {% endpaginate %}
    </section>
  </div>
</div>
